#!/usr/bin/env bash

# Copyright 2018 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

install()
{
  package="$1"
  version="$2"

  if luarocks list --porcelain $package $version | grep -q "installed"; then
    echo $package already installed, skipping ;
  else
    sudo luarocks install $package $version;
  fi
}

install busted 2.0.rc12
install lua-cjson 2.1.0-1
